### Method

# Gimp Procedure set_argument_sync

since: 3.0

#### Declaration [src]

    void
    gimp_procedure_set_argument_sync (
      GimpProcedure* procedure,
      const gchar* arg_name,
      GimpArgumentSync sync
    )

#### Description [src]

When the procedure’s `run()` function exits, a `GimpProcedure`‘s arguments or auxiliary arguments can be automatically synced with a `GimpParasite` of the `GimpImage` the procedure is running on.

In order to enable this, set `sync` to `GIMP_ARGUMENT_SYNC_PARASITE`.

Currently, it is possible to sync a string argument of type `GParamSpecString` with an image parasite of the same name, for example the “gimp-comment” parasite in file save procedures.

Available since: 3.0

#### Parameters

`arg_name`

  Type: `const gchar*`

  The name of one of `procedure`‘s arguments or auxiliary arguments.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`sync`

  Type: `GimpArgumentSync`

  How to sync the argument or auxiliary argument.